Subject: Re: CONFIG_PROVE_LOCKING broken on 83xx (and all of powerpc?)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 09 Sep 2010 11:02:36 +1000

On Wed, 2010-09-08 at 16:21 -0700, Ira W. Snyder wrote:
> 
> 
> I am happy to provide more information if it will help. I'm not
> especially
> good at working the debugger. I can't get it to stop at machine_init()
> and let
> me step through the code.
> 
> I tried this feature when it first became available on powerpc, and it
> did not work then. At that time, I didn't have the resources to
> investigate further. I don't think a git bisect will help in this
> case.

That's a concern... lockdep_init() is expected to only perform static
initializations...

Any chance you can stick a data breakpoint early on to catch when the
corruption happens ?

Cheers,
Ben.